3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { throw new TestException(); } catch (TestException $e) { echo "Caught TestException ('{$e->getMessage()}')\n{$e}\n"; } finally { echo 'a'; }
Output for 7.0.0 - 7.2.0
a Fatal error: Uncaught Error: Class 'TestException' not found in /in/R5o7N:4 Stack trace: #0 {main} thrown in /in/R5o7N on line 4
Process exited with code 255.
Output for 5.5.24 - 5.6.28
Fatal error: Class 'TestException' not found in /in/R5o7N on line 4
Process exited with code 255.
Output for 5.3.19 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/R5o7N on line 9
Process exited with code 255.